#
# spec file for package clipgrab
#
# Copyright (c) 2008-2013 detlef@links2linux.de
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           clipgrab
Version:        3.4.7
Release:        1.1
License:        GPL-3.0+
Summary:        Video downloader
Url:            http://clipgrab.de
Group:          Productivity/Multimedia/Video/Editors and Convertors
Source0:        http://clipgrab.de/download/%{name}-%{version}.tar.bz2
Source1:        %{name}.desktop
Source2:        http://vanbittern.com/files/clipgrab-icons.zip
BuildRequires:  hicolor-icon-theme
BuildRequires:  libQtWebKit-devel
BuildRequires:  libqt4-devel
BuildRequires:  unzip
BuildRequires:  update-desktop-files
Requires:       ffmpeg
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
A program which downloads and converts online videos from YouTube, Vimeo,
DailyMotion, MyVideo and many other platforms.

%prep
%setup -q
mkdir "_icons"
pushd _icons
unzip "%{SOURCE2}"
popd #_icons
chmod 0644 COPYING

%build
#cleanup
rm -f moc_*
qmake %{name}.pro QMAKE_CXXFLAGS="%{optflags}"
make clean
make %{?_smp_flags}

%install
install -D -m0644 %{SOURCE1} %{buildroot}/%{_datadir}/applications/%{name}.desktop
install -D -m0755 %{name} %{buildroot}/%{_bindir}/%{name}
pushd _icons
rm -f 512.png
for f in *.png; do
    s="${f%.png}"
    install -D -m0644 "$f" "%{buildroot}%{_datadir}/icons/hicolor/${s}x${s}/apps/%{name}.png"
done
popd #_icons
%suse_update_desktop_file -r %{name} Video Editor

%if 0%{?suse_version} >= 1140
%post
%desktop_database_post
%endif

%if 0%{?suse_version} >= 1140
%postun
%desktop_database_postun
%endif

%files
%defattr(-,root,root,-)
%doc COPYING
%{_bindir}/clipgrab
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.png

%changelog
* Fri Oct 10 2014 seife+obs@b1-systems.com
- new upstream version 3.4.7:
  no changes file, stuff found in diff:
  - more translations
  - vimeo fixes
  - youtube regexp fix
* Sat Mar 22 2014 seife+obs@b1-systems.com
- new upstream version 3.4.2:
  no changes file, stuff found in diff:
  - youtube login support
  - chinese translation
* Wed Dec 18 2013 seife+obs@b1-systems.com
- new upstream version 3.3.0.4:
- no changes file, stuff found in diff:
  - changes to youtube code
  - some code reorganization
* Sun Aug  4 2013 seife+obs@b1-systems.com
- new upstream version 3.2.1.2:
- no changes file, obvious stuff extracted from diff:
  - remove sevenload and collegehumor, add metacafe
  - fixes for dailymotion, myvideo
  - more formats for youtube
  - various other fixes
* Sat Apr 13 2013 malcolmlewis@opensuse.org
- Updated to version 3.2.0.11:
  + No changelog file.
- Spec file clean up.
* Thu Feb 14 2013 seife+obs@b1-systems.com
- new upstream version 3.2.0.10
  - looks like a youtube fix / improvement (no changelog inside...)
* Mon Sep 17 2012 seife+obs@b1-systems.com
- new upstream version 3.2.0.9
  - looks like a youtube fix (no changelog inside...)
* Thu Aug 16 2012 seife+obs@b1-systems.com
- new upstream version <3.2.0.8>
* Mon Apr 30 2012 seife+obs@b1-systems.com
- new upstream version <3.2.0.5>
* Sun Nov 20 2011 reddwarf@opensuse.org
- new upstrean version <3.1.3.0>
- fix >12.1 build
* Sat Aug  6 2011 detlef@links2linux.de
- new upstream version <3.1.0.2>
* Sat Jul 23 2011 detlef@links2linux.de
- fix typo in clipgrap.desktop
* Wed Jul 14 2010 detlef@links2linux.de
- new upstream version <3.0.7.1>
* Sat Jul 10 2010 detlef@links2linux.de
- new upstream version <3.0.7>
* Mon Apr 19 2010 detlef@links2linux.de
- new upstream version <3.0.6.6>
* Thu Apr  8 2010 detlef@links2linux.de
- new upstream version <3.0.6.5>
* Fri Apr  2 2010 detlef@links2linux.de
- new upstream version <3.0.5.3>
* Mon Dec 28 2009 detlef@links2linux.de
- new upstream version <3.0.5>
* Mon Dec 21 2009 detlef@links2linux.de
- new upstream version <3.0.4.1>
* Mon Nov 30 2009 detlef@links2linux.de
- new upstream version <3.0.4>
* Thu Oct 29 2009 detlef@links2linux.de
- initial build clipgrab3
* Fri Mar 28 2008 detlef@links2linux.de
- initial build <2.0-beta2>
